<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.component.job.mapper.ComTaskInstanceMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.component.job.model.ComTaskInstance" >
    <id column="TASK_INSTANCE_ID" property="taskInstanceId" jdbcType="BIGINT" />
    <result column="REF_ID" property="refId" jdbcType="BIGINT" />
    <result column="TASK_INSTANCE_NAME" property="taskInstanceName" jdbcType="VARCHAR" />
    <result column="NOTES" property="notes" jdbcType="VARCHAR" />
    <result column="SCHEDULE_TIME" property="scheduleTime" jdbcType="CHAR" />
    <result column="IS_PREDICT" property="isPredict" jdbcType="CHAR" />
    <result column="TASK_INSTANCE_STATUS" property="taskInstanceStatus" jdbcType="CHAR" />
    <result column="START_TIME" property="startTime" jdbcType="CHAR" />
    <result column="END_TIME" property="endTime" jdbcType="CHAR" />
    <result column="EXEC_TIME" property="execTime" jdbcType="CHAR" />
    <result column="TASK_CLASS" property="taskClass" jdbcType="VARCHAR" />
  </resultMap>
  
  <sql id="Base_Column_List" >
    TASK_INSTANCE_ID, REF_ID, TASK_INSTANCE_NAME, NOTES, SCHEDULE_TIME, IS_PREDICT, TASK_INSTANCE_STATUS, 
    START_TIME, END_TIME, EXEC_TIME, TASK_CLASS
  </sql>
  
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from com_task_instance
    where TASK_INSTANCE_ID = #{taskInstanceId,jdbcType=BIGINT}
  </select>
  
  <select id="selectByStatusId" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from com_task_instance
    where TASK_INSTANCE_ID = #{taskInstanceId,jdbcType=BIGINT}
  </select>
  
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from com_task_instance
    where TASK_INSTANCE_ID = #{taskInstanceId,jdbcType=BIGINT}
  </delete>
  
  <insert id="insert" parameterType="com.bw.adv.module.component.job.model.ComTaskInstance" >
    insert into com_task_instance (TASK_INSTANCE_ID, REF_ID, TASK_INSTANCE_NAME, 
      NOTES, SCHEDULE_TIME, IS_PREDICT, 
      TASK_INSTANCE_STATUS, START_TIME, END_TIME, 
      EXEC_TIME, TASK_CLASS)
    values (#{taskInstanceId,jdbcType=BIGINT}, #{refId,jdbcType=BIGINT}, #{taskInstanceName,jdbcType=VARCHAR}, 
      #{notes,jdbcType=VARCHAR}, #{scheduleTime,jdbcType=CHAR}, #{isPredict,jdbcType=CHAR}, 
      #{taskInstanceStatus,jdbcType=CHAR}, #{startTime,jdbcType=CHAR}, #{endTime,jdbcType=CHAR}, 
      #{execTime,jdbcType=CHAR}, #{taskClass,jdbcType=VARCHAR})
  </insert>
  
  <insert id="insertSelective" parameterType="com.bw.adv.module.component.job.model.ComTaskInstance" >
    insert into com_task_instance
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="taskInstanceId != null" >
        TASK_INSTANCE_ID,
      </if>
      <if test="refId != null" >
        REF_ID,
      </if>
      <if test="taskInstanceName != null" >
        TASK_INSTANCE_NAME,
      </if>
      <if test="notes != null" >
        NOTES,
      </if>
      <if test="scheduleTime != null" >
        SCHEDULE_TIME,
      </if>
      <if test="isPredict != null" >
        IS_PREDICT,
      </if>
      <if test="taskInstanceStatus != null" >
        TASK_INSTANCE_STATUS,
      </if>
      <if test="startTime != null" >
        START_TIME,
      </if>
      <if test="endTime != null" >
        END_TIME,
      </if>
      <if test="execTime != null" >
        EXEC_TIME,
      </if>
      <if test="taskClass != null" >
        TASK_CLASS,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="taskInstanceId != null" >
        #{taskInstanceId,jdbcType=BIGINT},
      </if>
      <if test="refId != null" >
        #{refId,jdbcType=BIGINT},
      </if>
      <if test="taskInstanceName != null" >
        #{taskInstanceName,jdbcType=VARCHAR},
      </if>
      <if test="notes != null" >
        #{notes,jdbcType=VARCHAR},
      </if>
      <if test="scheduleTime != null" >
        #{scheduleTime,jdbcType=CHAR},
      </if>
      <if test="isPredict != null" >
        #{isPredict,jdbcType=CHAR},
      </if>
      <if test="taskInstanceStatus != null" >
        #{taskInstanceStatus,jdbcType=CHAR},
      </if>
      <if test="startTime != null" >
        #{startTime,jdbcType=CHAR},
      </if>
      <if test="endTime != null" >
        #{endTime,jdbcType=CHAR},
      </if>
      <if test="execTime != null" >
        #{execTime,jdbcType=CHAR},
      </if>
      <if test="taskClass != null" >
        #{taskClass,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.component.job.model.ComTaskInstance" >
    update com_task_instance
    <set >
      <if test="refId != null" >
        REF_ID = #{refId,jdbcType=BIGINT},
      </if>
      <if test="taskInstanceName != null" >
        TASK_INSTANCE_NAME = #{taskInstanceName,jdbcType=VARCHAR},
      </if>
      <if test="notes != null" >
        NOTES = #{notes,jdbcType=VARCHAR},
      </if>
      <if test="scheduleTime != null" >
        SCHEDULE_TIME = #{scheduleTime,jdbcType=CHAR},
      </if>
      <if test="isPredict != null" >
        IS_PREDICT = #{isPredict,jdbcType=CHAR},
      </if>
      <if test="taskInstanceStatus != null" >
        TASK_INSTANCE_STATUS = #{taskInstanceStatus,jdbcType=CHAR},
      </if>
      <if test="startTime != null" >
        START_TIME = #{startTime,jdbcType=CHAR},
      </if>
      <if test="endTime != null" >
        END_TIME = #{endTime,jdbcType=CHAR},
      </if>
      <if test="execTime != null" >
        EXEC_TIME = #{execTime,jdbcType=CHAR},
      </if>
      <if test="taskClass != null" >
        TASK_CLASS = #{taskClass,jdbcType=VARCHAR},
      </if>
    </set>
    where TASK_INSTANCE_ID = #{taskInstanceId,jdbcType=BIGINT}
  </update>
  
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.component.job.model.ComTaskInstance" >
    update com_task_instance
    set REF_ID = #{refId,jdbcType=BIGINT},
      TASK_INSTANCE_NAME = #{taskInstanceName,jdbcType=VARCHAR},
      NOTES = #{notes,jdbcType=VARCHAR},
      SCHEDULE_TIME = #{scheduleTime,jdbcType=CHAR},
      IS_PREDICT = #{isPredict,jdbcType=CHAR},
      TASK_INSTANCE_STATUS = #{taskInstanceStatus,jdbcType=CHAR},
      START_TIME = #{startTime,jdbcType=CHAR},
      END_TIME = #{endTime,jdbcType=CHAR},
      EXEC_TIME = #{execTime,jdbcType=CHAR},
      TASK_CLASS = #{taskClass,jdbcType=VARCHAR}
    where TASK_INSTANCE_ID = #{taskInstanceId,jdbcType=BIGINT}
  </update>
  
</mapper>